<?
	// 安全权限验证	

	if(file_exists(dirname(__FILE__)."/admin__data.php")){
		
		require_once("admin__data.php");
		
		if(trim($safety_username)<>"" and trim($safety_password)<>"" and trim($safety_channels)<>""){

			if(floor($m)>0 and strstr($safety_channels.",",$m.",")<>""){	
				
				if(!isset($_SERVER['PHP_AUTH_USER']) ){
					check_safety("请输入安全帐号和密码");
				}
				else{
					if( md5($safety_username)<>md5(trim($_SERVER['PHP_AUTH_USER'])) or md5($safety_password)<>md5(md5(trim($_SERVER['PHP_AUTH_PW']))) ){
						check_safety("输入的安全帐号或密码错误");
					}
				}
				
			}

		}

	}

	/*---------------------------------
		方法：弹出验证框
	---------------------------------*/
	function check_safety($str){
		ob_clean();		
    header("WWW-Authenticate: Basic realm=$str");
    header("HTTP/1.0 401 Unauthorized");
		exit("<script language='javascript'>if(confirm('提示： \\n\\n    您于 ".date("Y-m-d H:i:s")." 在 ".$_SERVER["REMOTE_ADDR"]." 处，登录失败\\n\\n或者操作被取消，请问是否退回到主页？\\n\\n    『 确定 』返回主页  『 取消 』重新登录\\n')){top.location='./';}else{top.location.reload();};</script>");
	}	
?>